import { register } from "./_register.js";
import { login } from "./_login.js";
import { Endpoints } from "../endpoints.js";

export function registerAccountCallbacks(socket){
    socket.on(Endpoints.Register, (data) => {
        register(socket, data)
    });

    socket.on(Endpoints.Login, (data) => {
        login(socket, data)
    });
}