import { enemyData } from "../enemyData.js";
import { Stat } from "../itemData.js";
import { physicsObject } from "../physicsObject.js";

export class enemyDataUpdate{
    id          : number
    templateId  : number
    rigidbody   : physicsObject
    stats       : Stat[] = []

    constructor(data : enemyData){
        this.id = data.id
        this.templateId = data.templateId
        this.rigidbody = physicsObject.characterOnly(data.rigidbody)
        this.stats = data.stats
    }
}