import { dungeonData } from "../dungeonData.js";
import { levelState } from "../levelState.js";
import { lobbyState } from "../lobbyState.js";
import { characterDataUpdate } from "./characterDataPartial.js";

export class lobbyStateLight{
    activeUsers : characterDataUpdate[] = []
    rooms       : levelState[] = []
    dungeons    : dungeonData[] = []

    constructor(data : lobbyState){
        this.activeUsers = data.activeUsers.map(u=>u.character.copyUpdate())
        this.rooms = data.rooms
        this.dungeons = data.dungeons
    }
}