import { physicsObject } from "../physicsObject.js"
import { propData } from "../propData.js"

export class propDataStart{
    id         : number
    templateId : number
    rigidbody  : physicsObject
    components : any

    constructor(data : propData) {
        this.id = data.id
        this.templateId = data.templateId
        this.rigidbody = physicsObject.copyStart(data.rigidbody)
        this.components = data.components
    }
}

export class propDataUpdate{
    id         : number
    rigidbody  : physicsObject
    components : any

    constructor(data : propData) {
        this.id = data.id
        this.rigidbody = physicsObject.copyUpdate(data.rigidbody)
        this.components = data.components
    }
}