import { Stat } from "./itemData.js"
import { enemyDataUpdate } from "./Outgoing/enemyDataPartial.js"
import { physicsObject } from "./physicsObject.js"

export class enemyData{
    id          : number
    templateId  : number
    rigidbody   : physicsObject
    stats       : Stat[] = []

    constructor(init?: Partial<enemyData>){
        Object.assign(this, init);
    }

    copyStart() {
        return new enemyDataUpdate(this)
    }
    
    copyUpdate() {
        return new enemyDataUpdate(this)
    }
}