export class userData{
    id: number;
    checksum: number;
    login: string;
    password: string;

    constructor(init?: Partial<userData>){
        Object.assign(this, init);
    }

    makeSafe() : userData{
        let safeUser : userData = Object.assign({}, this);
        delete safeUser.password
        delete safeUser.checksum
        return safeUser
    }
}