import { persistentItemData } from "../Classes/itemData.js";
import { game } from "../game.js";

const fs = require('fs');

export function loadItems(){
    fs.mkdirSync(`Database/Items/`, { recursive: true })
    fs.readdir(`Database/Items/`, (err, files) => {
        files.forEach(file => {
            fs.readFile(`Database/Items/${file}`, (err, data) => {
                if (err) throw err;
                let data1 = JSON.parse(data);
                data1.forEach(item => {
                    let item1 = new persistentItemData(item)
                    game.itemsDB.push(item1) 
                });
            });
        });
    });
}