import { Socket } from "socket.io";
import { characterData } from "../Classes/characterData.js";
import { Endpoints } from "../endpoints.js";

export function projectile(socket : Socket, data){
    if(!socket.hasOwnProperty("user")) return;

    let buff = Buffer.from(data, 'base64');
    let character : characterData = socket.character
    
    socket.to(character.room).emit(Endpoints.LevelProjectile, buff.toString('utf-8'))
}