import { Endpoints } from "../endpoints.js";
import { loadoutChanged } from "./_loadoutChanged.js";
import { message } from "./_message.js";
import { playerJoin } from "./_playerJoin.js";

export function registerLobbyCallbacks(socket){
    socket.on(Endpoints.PlayerJoin, (data) => {
        playerJoin(socket, data)
    });

    socket.on(Endpoints.LoadoutChanged, (data) => {
        loadoutChanged(socket, data)
    });

    socket.on(Endpoints.Message, (data) => {
        message(socket, data)
    });
}
