import { Socket } from "socket.io";
import { characterData } from "../Classes/characterData.js";
import { game } from "../game.js";
import { Endpoints } from "../endpoints.js";

export function loadoutChanged(socket : Socket, data){
    let buff = Buffer.from(data, 'base64');
    let data1 : characterData = JSON.parse(buff.toString('utf-8'));

    let character : characterData = socket.character
    character.inventory.weapon = data1.inventory.weapon
    character.inventory.equipment = data1.inventory.equipment
    character.validateEquipment()

    socket.emit(Endpoints.LoadoutChanged, JSON.stringify(character.copyInventory()))
}