import { lobbyMessage } from "../Classes/lobbyMessage.js";
import { game } from "../game.js";

export function message(socket, data){
    if(!socket.hasOwnProperty("user")) return;

    let buff = Buffer.from(data, 'base64');
    let data1 : lobbyMessage = JSON.parse(buff.toString('utf-8'));
    data1.timestamp = new Date().toLocaleString();

    game.addMessage(data1)
}