import { Socket } from "socket.io";
import { characterData } from "../Classes/characterData.js";
import { questProgressData } from "../Classes/questProgressData.js";

export function update(socket : Socket, data){
    let buff = Buffer.from(data, 'base64');
    let data1 : questProgressData = JSON.parse(buff.toString('utf-8'));
    let character : characterData = socket.character

    character.questBook.updateQuest(data1)
}